Page MenuHomePhabricator

Upgrade python-service-checker across the fleet
Closed, ResolvedPublic0 Estimated Story Points

Description

service-checker v1.5 supports both Swagger v2 and OpenAPI v3 specifications, and has been used in (some) k8s services as well as RESTBase successfully. With the desire to move to OpenAPI v3 specs, we should upgrade all instances in our production environment to v1.5.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2019, 10:26 AM
ArielGlenn triaged this task as Medium priority.Jun 14 2019, 7:12 AM

Mentioned in SAL (#wikimedia-operations) [2019-06-20T09:58:07Z] <_joe_> upgraded service-checker T225707

Joe closed this task as Resolved.Jun 20 2019, 9:58 AM
Joe claimed this task.